# ALSA PCI drivers

mainmenu_option next_comment
comment 'PCI devices'

dep_tristate 'ALi PCI Audio M5451' CONFIG_SND_ALSA_ALI5451 $CONFIG_SND_ALSA
dep_tristate 'Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x' CONFIG_SND_ALSA_CS46XX $CONFIG_SND_ALSA
if [ "$CONFIG_SND_ALSA_CS46XX" != "n" ]; then
  bool       '  Cirrus Logic (Sound Fusion) MMAP support for OSS' CONFIG_SND_ALSA_CS46XX_ACCEPT_VALID
fi
dep_tristate 'EMU10K1 (SB Live!, E-mu APS)' CONFIG_SND_ALSA_EMU10K1 $CONFIG_SND_ALSA
dep_tristate 'Korg 1212 IO' CONFIG_SND_ALSA_KORG1212 $CONFIG_SND_ALSA
dep_tristate 'NeoMagic NM256AV/ZX' CONFIG_SND_ALSA_NM256 $CONFIG_SND_ALSA
dep_tristate 'RME Digi32, 32/8, 32 PRO' CONFIG_SND_ALSA_RME32 $CONFIG_SND_ALSA
dep_tristate 'RME Digi96, 96/8, 96/8 PRO' CONFIG_SND_ALSA_RME96 $CONFIG_SND_ALSA
#dep_tristate 'RME Digi9652 (Hammerfall)' CONFIG_SND_ALSA_RME9652 $CONFIG_SND_ALSA
#dep_tristate 'RME Hammerfall DSP Audio' CONFIG_SND_ALSA_HDSP $CONFIG_SND_ALSA
dep_tristate 'Trident 4D-Wave DX/NX; SiS 7018' CONFIG_SND_ALSA_TRIDENT $CONFIG_SND_ALSA
dep_tristate 'Yamaha YMF724/740/744/754' CONFIG_SND_ALSA_YMFPCI $CONFIG_SND_ALSA
dep_tristate 'Avance Logic ALS4000' CONFIG_SND_ALSA_ALS4000 $CONFIG_SND_ALSA
dep_tristate 'C-Media 8738, 8338' CONFIG_SND_ALSA_CMIPCI $CONFIG_SND_ALSA
dep_tristate '(Creative) Ensoniq AudioPCI 1370' CONFIG_SND_ALSA_ENS1370 $CONFIG_SND_ALSA
dep_tristate '(Creative) Ensoniq AudioPCI 1371/1373' CONFIG_SND_ALSA_ENS1371 $CONFIG_SND_ALSA
dep_tristate 'ESS ES1938/1946 (Solo-1)' CONFIG_SND_ALSA_ES1938 $CONFIG_SND_ALSA
dep_tristate 'ESS ES1968/1978 (Maestro-1/2/2E)' CONFIG_SND_ALSA_ES1968 $CONFIG_SND_ALSA
dep_tristate 'ESS Allegro/Maestro3' CONFIG_SND_ALSA_MAESTRO3 $CONFIG_SND_ALSA
dep_tristate 'ForteMedia FM801' CONFIG_SND_ALSA_FM801 $CONFIG_SND_ALSA
dep_tristate 'ICEnsemble ICE1712 (Envy24)' CONFIG_SND_ALSA_ICE1712 $CONFIG_SND_ALSA
dep_tristate 'Intel i810/i820/i830/i840/MX440 integrated audio' CONFIG_SND_ALSA_INTEL8X0 $CONFIG_SND_ALSA
dep_tristate 'S3 SonicVibes' CONFIG_SND_ALSA_SONICVIBES $CONFIG_SND_ALSA
dep_tristate 'VIA 82C686A/B South Bridge' CONFIG_SND_ALSA_VIA686 $CONFIG_SND_ALSA
dep_tristate 'VIA 8233 South Bridge' CONFIG_SND_ALSA_VIA8233 $CONFIG_SND_ALSA

# define gameport if necessary
if [ "$CONFIG_INPUT_GAMEPORT" != "n" ]; then
  if [ "$CONFIG_SND_ALSA_CS4281" = "y" \
       -o "$CONFIG_SND_ALSA_ES1938" = "y" \
       -o "$CONFIG_SND_ALSA_CS46XX" = "y" \
       -o "$CONFIG_SND_ALSA_SONICVIBES" = "y" \
       -o "$CONFIG_SND_ALSA_TRIDENT" = "y" ]; then
    define_tristate CONFIG_INPUT_GAMEPORT y
  fi
fi

endmenu
